# Class DummyRepository

java.lang.Object
org.pentaho.reporting.libraries.repository.dummy.DummyRepository

All Implemented Interfaces:
  `Serializable, Repository`

public class DummyRepository extends Object implements Repository, Serializable
A dummy repositor is a empty repository that swallows all content fed into it.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DummyRepository()`
Creates a new dummy repository.

## Method Summary

Modifier and Type
Method
Description
`MimeRegistry`
`getMimeRegistry()`
Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
`ContentLocation`
`getRoot()`
Returns the repositories root directory entry.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DummyRepository

public DummyRepository()
Creates a new dummy repository.

## Method Details

### getRoot

public ContentLocation getRoot()
Returns the repositories root directory entry.

Specified by:
  `getRoot` in interface `Repository`
Returns:
  the root directory.

### getMimeRegistry

public MimeRegistry getMimeRegistry()
Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.

Specified by:
  `getMimeRegistry` in interface `Repository`
Returns:
  the mime registry.
See Also:
  - `MimeRegistry`